clc


path               = 'C:\Users\Pratulya\Desktop\Master Thesis\';
thisfilename       = 'Model Idea.xlsx';
datafilename       = strcat(path,thisfilename);
scenarios = xlsread(datafilename,'Scenarios','C3:L33');
[dummy, scenarionames] = xlsread(datafilename, 'Scenarios','B3:B33');
newpath            = strcat(path,'Scenario Results\');
resultfilename     = strcat(newpath,'Scenario Results.xlsx');

Letter = char('B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z','AA','AB','AC','AD','AE','AF');

Results = zeros(101,1);
Header = cell(2,1);
Modellength = 101;
NoofScenarios = 31;

for i = 1:NoofScenarios
    Emissions_tot = xlsread(resultfilename, char(scenarionames(i)),'T3:T103');
    xlswrite(datafilename,  scenarionames(i,:), 'Results - Total Emissions', char(strcat(Letter(i,:),'2')));
    xlswrite(datafilename,  Emissions_tot, 'Results - Total Emissions', char(strcat(Letter(i,:),'3')));
    
    Emissions_Al = xlsread(resultfilename, char(scenarionames(i)),'S3:S103');
    xlswrite(datafilename,  scenarionames(i,:), 'Results - Al Emissions', char(strcat(Letter(i,:),'2')));
    xlswrite(datafilename,  Emissions_Al, 'Results - Al Emissions', char(strcat(Letter(i,:),'3')));
    
    Emissions_Steel = xlsread(resultfilename, char(scenarionames(i)),'R3:R103');
    xlswrite(datafilename,  scenarionames(i,:), 'Results - Steel Emissions', char(strcat(Letter(i,:),'2')));
    xlswrite(datafilename,  Emissions_Steel, 'Results - Steel Emissions', char(strcat(Letter(i,:),'3')));
    
    Emissions_Oper = xlsread(resultfilename, char(scenarionames(i)),'Q3:Q103');
    xlswrite(datafilename,  scenarionames(i,:), 'Results - Operational Emissions', char(strcat(Letter(i,:),'2')));
    xlswrite(datafilename,  Emissions_Oper, 'Results - Operational Emissions', char(strcat(Letter(i,:),'3')));
    
    E_tot = xlsread(resultfilename, char(scenarionames(i)),'M3:M103');
    xlswrite(datafilename,  scenarionames(i,:), 'Results - Total Energy', char(strcat(Letter(i,:),'2')));
    xlswrite(datafilename,  E_tot, 'Results - Total Energy', char(strcat(Letter(i,:),'3')));
    
    Eprod_Al_tot = xlsread(resultfilename, char(scenarionames(i)),'L3:L103');
    xlswrite(datafilename,  scenarionames(i,:), 'Results - Al Energy', char(strcat(Letter(i,:),'2')));
    xlswrite(datafilename,  Eprod_Al_tot, 'Results - Al Energy', char(strcat(Letter(i,:),'3')));
    
    Eprod_Steel_tot = xlsread(resultfilename, char(scenarionames(i)),'W3:W103');
    xlswrite(datafilename,  scenarionames(i,:), 'Results - Steel Energy', char(strcat(Letter(i,:),'2')));
    xlswrite(datafilename,  Eprod_Steel_tot, 'Results - Steel Energy', char(strcat(Letter(i,:),'3')));
    
    Eoper_tot = xlsread(resultfilename, char(scenarionames(i)),'K3:K103');
    xlswrite(datafilename,  scenarionames(i,:), 'Results - Operational Energy', char(strcat(Letter(i,:),'2')));
    xlswrite(datafilename,  Eoper_tot, 'Results - Operational Energy', char(strcat(Letter(i,:),'3')));
    
    


end

fprintf('All Results transferred successfully!!\n');